using System;

namespace InABox.Core
{
    public interface ILookupEditor : IButtonEditor
    {
        Type Type { get; }

        int LookupWidth { get; set; }

        CoreTable Values(string columnname, object[]? items = null);

        void Clear();
    }
}